Skip to content
vocapable.Docs

Set a host's calendars, hours and buffers

PUT
/v1/workspace/meetings/hosts/{user_id}/schedule
curl --request PUT \
--url https://api.vocapable.com/v1/workspace/meetings/hosts/example/schedule \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "expected_revision": 1, "calendar_ids": [ "example" ], "write_calendar_id": "example", "timezone": "example", "working_hours": { "additionalProperty": [ [ "example" ] ] }, "buffer_before_minutes": 1, "buffer_after_minutes": 1, "allow_share_booking": true, "share_duration_minutes": 15 }'
user_id
required
User Id
string
Media typeapplication/json
WorkspaceHostScheduleUpdate
object
expected_revision
Any of:
integer
>= 1
calendar_ids
Any of:
Array<string>
<= 10 items
write_calendar_id
Any of:
string
<= 500 characters
timezone
Any of:
string
<= 64 characters
working_hours
Any of:
object
key
additional properties
Array<Array<string>>
buffer_before_minutes
Any of:
integer
<= 120
buffer_after_minutes
Any of:
integer
<= 120
allow_share_booking
Any of:
boolean
share_duration_minutes
Any of:
integer
Allowed values: 15 30 45 60

Successful Response

Media typeapplication/json
WorkspaceHostSchedule
object
user_id
required
User Id
string
calendar
required
WorkspaceHostCalendar

What a host’s calendar can do for a booking, stated exactly.

object
state
required
State
string
Allowed values: connected not_connected not_assigned awaiting_review needs_admin_consent reauthorization_required attention_needed paused
provider
required
Any of:
string
Allowed values: google_calendar microsoft_calendar calendly
provider_name
required
Any of:
string
account_label
required
Any of:
string
installation_id
required
Any of:
string
calendars
required
Calendars
Array<object>
WorkspaceCalendarChoice
object
id
required
Id
string
label
required
Label
string
writable
required
Writable
boolean
write_calendar_id
required
Any of:
string
working_hours
required
Working Hours
object
key
additional properties
Array<Array<string>>
buffer_before_minutes
required
Buffer Before Minutes
integer
buffer_after_minutes
required
Buffer After Minutes
integer
timezone
required
Any of:
string
event_types
required
Event Types
Array<object>
WorkspaceEventTypeChoice
object
id
required
Id
string
label
required
Label
string
duration_minutes
required
Any of:
integer
event_type_booking
required
Any of:
string
admin_consent_url
required
Any of:
string
detail
required
Detail
string
connect_path
required
Connect Path
string
allow_share_booking
required
Allow Share Booking
boolean
share_duration_minutes
required
Share Duration Minutes
integer
revision
required
Any of:
integer
Example
{
"calendar": {
"state": "connected",
"provider": "google_calendar"
}
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}